<!--
~ Copyright (c) 2005-2010, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
~
~ WSO2 Inc. licenses this file to you under the Apache License,
~ Version 2.0 (the "License"); you may not use this file except
~ in compliance with the License.
~ You may obtain a copy of the License at
~
~ http://www.apache.org/licenses/LICENSE-2.0
~
~ Unless required by applicable law or agreed to in writing,
~ software distributed under the License is distributed on an
~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
~ KIND, either express or implied. See the License for the
~ specific language governing permissions and limitations
~ under the License.
-->

<%@ page import="org.wso2.carbon.identity.sso.saml.ui.SAMLSSOProviderConstants" %>

<%@ page import="org.wso2.carbon.identity.sso.saml.ui.session.mgt.FESessionBean" %>
<%@ page import="org.wso2.carbon.identity.sso.saml.ui.session.mgt.FESessionManager" %>
<%@ page import="org.wso2.carbon.identity.sso.saml.stub.types.SAMLSSOReqValidationResponseDTO" %>
<%@ page
        import="org.wso2.carbon.utils.multitenancy.MultitenantConstants" %>
<%@ page
        import="org.wso2.carbon.common.constants.StratosConstants" %>
<%@ page import="org.wso2.stratos.identity.saml2.sso.mgt.ui.Util" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar"
           prefix="carbon" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="content-type" content="text/html;charset=utf-8"/>
    <title>WSO2 Stratos Identity</title>
    <link href="../admin/css/global.css" rel="stylesheet" type="text/css" media="all"/>
    <link href="../admin/css/main.css" rel="stylesheet" type="text/css" media="all"/>
    <link media="all" type="text/css" rel="stylesheet"
          href="../stratos-bps/css/stratos-loginpage.css"/>

    <link href="../dialog/css/jqueryui/jqueryui-themeroller.css" rel="stylesheet" type="text/css"
          media="all"/>
    <link href="../dialog/css/dialog.css" rel="stylesheet" type="text/css" media="all"/>
    <link rel="icon" href="../admin/images/favicon.ico" type="image/x-icon"/>
    <link rel="shortcut icon" href="../admin/images/favicon.ico" type="image/x-icon"/>

    <script type="text/javascript" src="../admin/js/jquery.js"></script>
    <script type="text/javascript" src="../admin/js/jquery.form.js"></script>
    <script type="text/javascript" src="../dialog/js/jqueryui/jquery-ui.min.js"></script>

    <script type="text/javascript" src="../admin/js/main.js"></script>
    <script type="text/javascript" src="../admin/js/WSRequest.js"></script>
    <script type="text/javascript" src="../admin/js/cookies.js"></script>
    <script src="../yui/build/yahoo-dom-event/yahoo-dom-event.js" type="text/javascript"></script>
    <script src="../admin/js/widgets.js" type="text/javascript"></script>
	
</head>
<jsp:include page="../dialog/display_messages.jsp"/>
<body>
<jsp:include page="../admin/jsp/browser_checker.jsp" />
<div id="dcontainer"></div>
<script type="text/javascript" src="../dialog/js/dialog.js"></script>
<fmt:bundle basename="org.wso2.stratos.identity.saml2.sso.mgt.ui.i18n.Resources">
    <%
        boolean loginStatus = true;
        String errorMessage = "login.fail.message";
        String tenantRegistrationPageURL = Util.getTenantRegistrationPageURL();
        String frontEndSessionId = request.getParameter(SAMLSSOProviderConstants.FE_SESSION_KEY);
        String tenantDomain = "";
        if(request.getParameter(MultitenantConstants.TENANT_DOMAIN) != null){
            tenantDomain = request.getParameter(MultitenantConstants.TENANT_DOMAIN);
        }
        FESessionManager sessionManager = FESessionManager.getInstance();
        FESessionBean sessionBean = sessionManager.getFESessionBean(frontEndSessionId);
        if (sessionBean != null) {
            if(sessionBean.getSessionBean() instanceof SAMLSSOReqValidationResponseDTO){
                SAMLSSOReqValidationResponseDTO samlssoReqValidationResponseDTO =
                        (SAMLSSOReqValidationResponseDTO) sessionBean.getSessionBean();
                loginStatus = samlssoReqValidationResponseDTO.getValid();
                errorMessage = samlssoReqValidationResponseDTO.getResponse();
            }
            if (!loginStatus) {
    %>
    <script type="text/javascript">
        jQuery(document).ready(function() {
            CARBON.showWarningDialog('<fmt:message key="<%=errorMessage%>"/>');
        });
    </script>
    <%
            }
        }
    %>
    <script type="text/javascript">
        function doLogin() {
            var loginForm = document.getElementById('loginForm');
            loginForm.submit();
        }
        function doRegister() {
            document.getElementById('registrationForm').submit();
        }
    </script>
			<div id="login-content">
					<div class="main-text">
						The WSO2 Business Process Server, powered by Apache ODE and providing a complete graphical console to deploy, manage and view processes and process instances, delivered as a multi-tenant, elastically scaling, metered platform
					</div>
					<div class="clear"></div>
					<div class="feature feature-left">
						<img src="../stratos-bps/images/feature-01-icon.gif"/>
						<h2>WS-BPEL 2.0 & BPELWS 1.1</h2>
						<p>
							WSO2 BPS supports both WS-BPEL 2.0 and BPEL4WS 1.1 standards. In addition to that there are WSO2 BPS specific extensions which enhance the features provide by WS-BPEL. 
						</p>
					</div>
					<div class="feature">
						<img src="../stratos-bps/images/feature-02-icon.gif"/>
						<h2>Secured Business Processes</h2>
						<p>
							WSO2 BPS provides support for securing business processes as well as invoking secured partner services from BPEL processes.
						</p>
					</div>
					<div class="feature">
					 	<img src="../stratos-bps/images/feature-03-icon.gif"/>
						<h2>Process Monitoring</h2>
						<p>
							WSO2 Business Process Server Management Console allows real time monitoring of business processes. 
						</p>
					</div>
					<div class="clear"></div>
					<form action="<%=tenantRegistrationPageURL%>" id="registrationForm">
				                    <input type="hidden" name="<%=StratosConstants.ORIGINATED_SERVICE%>"
				                           value=<%=Util.getStratosServiceName(request.getRequestURI())%>/>
							<a class="register-button" onclick="doRegister()">Get Started Now for FREE!</a>
				        </form>
					<table class="ad">
						<tr>
						<td>

			                                <h2 class="stratos-Signin"><fmt:message key="sign.in"/></h2>
			                                <div class="sign-in-box">
			                                    <table style="width:100%">
			    `                                   <tr>
			                                            <td class="user_pass_td">
			                                                <h3>Login Using Username & Password</h3>
			
			                                                <form action="../../samlsso" method="post" id="loginForm">

			                                                    <table class="user_pass_table">
			                                                    <tr>
										                            <td><label for="txtUserName"><fmt:message key='username'/></label></td>
										                            <td><input type="text" id='username' name="username" size='30'/><span
										                                    id="tenantDomain"><%=tenantDomain%></span> <span
										                                    id="busyCheck"></span></td>
										                            <input type="hidden"
										                                   name="<%= SAMLSSOProviderConstants.FE_SESSION_KEY %>"
										                                   value="<%= frontEndSessionId %>"/>
										                            <input type="hidden" name="<%= MultitenantConstants.TENANT_DOMAIN %>"
										                                   value="<%= tenantDomain %>"/>
										                        </tr>
			                                                    <tr>
										                            <td><label for="txtPassword"><fmt:message key='password'/></label></td>
										                            <td><input type="password" id='password' name="password" size='30'/>
										                            </td>
										                        </tr>
			                                                    <tr>
										                            <td></td>
										                            <td><input type="submit" value="<fmt:message key='login'/>"/></td>
										                        </tr>
			                                                       
			                                                        <tr>
			                                                            <td colspan="2"><a tabindex="4" href="../stratos-sso/docs/userguide.html" target="_blank" class="help"><fmt:message key="sign.in.help"/></a>&nbsp;|&nbsp;<a tabindex="5" class="help" href="<%=Util.getForgetPasswordLink()%>" target="_blank" class="password">Forgot Password</a></td>
			                                                        </tr>
			                                                    </table>
                                                    

                                                    			</form>
                                            			</td>
                                        			<td class="google-app-td">
			                                            <h3>Or login using Google Apps Account</h3>
			
			                                            <img alt="Google App Account"
			                                                 src="../tenant-login/images/google-apps-login.gif"
			                                                 onclick="showHidePanel()"/>
			
			                                            <div id="loginBoxGoogle">
			                                                <div class="help_txt"> Enter Google App domain</div>
			                                                <form action="../relyingparty/openid.jsp" name="googleAppLogin"
			                                                      method="POST">
			                                                    <table class="styledLeft noBorders">
			                                                        <tbody>
			                                                        <tr>
			                                                            <td><input type="text" name="gAppDomainOpenId" id="gAppDomainOpenId"
			                                                                       tabindex="3" alt="example.com"  value="" /></td>
			                                                            <td><input type="button" class="button" value="GO" style="background-image:none"
			                                                                       onclick="document.googleAppLogin.submit()"/></td>
			                                                        </tr>
			                                                        </tbody>
			                                                    </table>
			                                                </form>
			                                            </div>
			                                            <script type="text/javascript">
			                                                function showHidePanel() {
			                                                    jQuery('#loginBoxGoogle').slideToggle("fast");
			                                                }
			                                                jQuery(document).ready(function() {
			                                                    jQuery('#loginBoxGoogle').hide();
			                                                    document.getElementById('txtUserName').focus();
			                                                });
									enableDefaultText("gAppDomainOpenId");
			                                            </script>
                                        			</td>
                                    				</tr>
                                    			</table>
                                			</div>
						</td>
						</tr>
					</table>
					<div class="clear"></div>
				<div id="footer">
					<div class="powered">
						<span>Powered by</span><img src="../stratos-bps/images/powered-logo.gif" alt="WSO2 Business Process Server"/>
					</div>
					&copy;stratoslive.wso2.com copyright 2010 WSO2, Inc. &nbsp;
					<a href="http://www.wso2.com/cloud/services/terms-of-use" target="_blank">Terms of Service</a>
			|
			<a href="http://www.wso2.com/cloud/services/privacy-policy" target="_blank">Privacy Policy</a>
			|
			<a href="http://www.wso2.com/cloud/services/support" target="_blank">Support</a>
				</div>
			</div>
</fmt:bundle>
</body>
</html>
